=== debian/changelog ===
kdepim (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:45:57 +0200

kdepim (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Fix extended-description-line-too-long in libkgantt2-0. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:01:47 -0700

kdepim (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add debian/korganizer.links to link to autostart file from xdg
    directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Sep 2014 16:19:22 +0200

kdepim (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:46:46 +0200

kdepim (4:4.14.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Remove libpimactivity4 and libgrammer4 and
    kde-config-pimactivity packages, removed upstream

  [ Philip Muškovac ]
  * Drop kubuntu_revert_e6ebd9b593dfd366b8c57932cc3167a8a3ec5b3b.diff
    and kubuntu_revert_9fed45112711cf203a03ba3b3ed5ca0ee796c836.diff
    as they were only added for SRU policy compliance

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:46:55 +0200

kdepim (4:4.13.97-0ubuntu4) utopic; urgency=medium

  * Bump breaks/replaces for the SRU updates 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 12 Aug 2014 22:20:33 +0200

kdepim (4:4.13.97-0ubuntu3) utopic; urgency=medium

  * Fix typo in libmessageviewer4 replaces/breaks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Aug 2014 10:58:04 +0200

kdepim (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump kmail breaks/replaces for Kubuntu versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Aug 2014 17:59:15 +0200

kdepim (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate
  * Add missing depend to baloo. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:34:07 +0200

kdepim (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on libkgapi-dev
  * Add libfollowupreminder4 and add new files to kmail
  * Add back ktnef

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:03:15 +0200

kdepim (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:58:43 +0200

kdepim (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Rebuild to drop baloo dependency, now seeded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jul 2014 17:52:31 +0200

kdepim (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Do not install knode dbus interface in two places
  * Fix overlapping file in kmail-mobile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jun 2014 14:45:09 +0100

kdepim (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:52:37 +0100

kdepim (4:4.13.1-1ubuntu3) utopic; urgency=medium

  * Fix kdepim-dev package depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 15:18:05 +0200

kdepim (4:4.13.1-1ubuntu2) utopic; urgency=medium

  * Add debian/patches/kubuntu_revert_9fed45112711cf203a03ba3b3ed5ca0ee796c836.diff
    debian/patches/kubuntu_revert_e6ebd9b593dfd366b8c57932cc3167a8a3ec5b3b.diff to
    build libgrammar and libpimactivity

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 12:49:51 +0200

kdepim (4:4.13.1-1ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, remaining changes
    - Adjust other kmail recommends/suggests:
      - Drop Suggests on f-prot-installer and annoyance-filter since they are
      not in the archive
    - Add kdepim-doc.install and move any docs into it
      debian/akregator,kaddressbook,kalarm,kjots,kmail,knode,knotes,kontact,
      ktimetracker,korganizer{.install}, do not add documentation
    - Provide debian/kalarm-icons and adjust debian/rules to install and clean
    - Build against version of Boost in Main, libboost1.55-dev and
      libboost-graph1.55-dev
    - Add libindicate-qt-dev, libxml2-dev, sharutils to build-deps
    - Add kdepim-runtime to depends in kdepim, knode, knotes, konsolekalendar,
      kontact, and korganizer
    - Add kjots depends on akonadi-server
    - Adjust version requirements for Ubuntu packages for conflict/replaces
    - Add the kde-config-pimactivity package

  [ Philip Muškovac ]
  * Add libnoteshared.so to kdepim-dev.install
  * kdepim-dev breaks/replaces knotes << 4:4.13.0-0ubuntu2~
  * kdepim-doc breaks/replaces kmail, kjots << 4:4.13.0-0ubuntu2~
  * kmail breaks/replaces libkmessageviewer4, libkdepim4 << 4:4.13.0-0ubuntu2~
  * libkdepim4 breaks/replaces kaddressbook << 4:4.13.0-0ubuntu2~

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 20 May 2014 17:19:39 +0200
