=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: akonadi-server (>= 1.9.51),
               baloo-dev (>= 4:4.14.2),
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.14.2),
               libakonadi-dev (>= 1.10.95),
               libassuan-dev,
               libboost1.54-dev (>= 1.40.0-2),
               libboost-graph1.54-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee-dev (>= 0.3.0),
               libkactivities-dev (>= 4:4.13),
               liblink-grammar4-dev,
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libprison-dev,
               libqca2-dev (>= 2.0.0),
               libqjson-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libsearchclient-dev (>= 0.6.3),
               libsoprano-dev (>= 2.9.0),
               libstreamanalyzer-dev (>= 0.6.3),
               libstreams-dev (>= 0.6.3),
               libstrigihtmlgui-dev (>= 0.6.3),
               libstrigiqtdbusclient-dev (>= 0.6.3),
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-desktop-ontologies (>= 0.11),
               xsltproc,
               zlib1g-dev,
               baloo-dev,
               libindicate-qt-dev,
               libxml2-dev,
               sharutils,
               libkgapi-dev
Build-Depends-Indep: dblatex
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-kresources (>= ${source:Version}),
         kjots (>= ${source:Version}),
         kleopatra (>= ${source:Version}),
         kmail (>= ${source:Version}),
         knode (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ktimetracker (>= ${source:Version}),
         kdepim-runtime,
         ${misc:Depends}
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-mobile
Section: metapackages
Architecture: all
Depends: kaddressbook-mobile (>= ${source:Version}),
         kmail-mobile (>= ${source:Version}),
         korganizer-mobile (>= ${source:Version}),
         notes-mobile (>= ${source:Version}),
         tasks-mobile (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps for mobile environments
 This metapackage includes a collection of official KDE Personal Information
 Management (PIM) applications which have been designed for use in the mobile
 environments. Their feature set and user interface focus on convenience and
 ease of use with touchscreen and potentially small size displays.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 libkdepim4 (= ${binary:Version}), libpimcommon4 (= ${binary:Version}),
 kdepimlibs5-dev (>= 4:4.14.2), libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.54-dev, libboost-graph1.54-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Breaks: knotes (<< 4:4.13.90)
Replaces: kmail (<= 4:4.2.1), knotes (<< 4:4.13.90)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: kmail (<< 4:4.13.90), kjots (<< 4:4.13.90)
Replaces: kmail (<< 4:4.13.90), kjots (<< 4:4.13.90)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Description: address book and contact data manager for mobile environments
 This package provides a convenient application for managing your addresses and
 contacts on mobile devices. It focuses on usability with touchscreen displays
 and potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage servicce
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         pinentry-qt4 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends}
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: gnupg-agent, gnupg2, pinentry-qt4 | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: akonadi-kde (<< 4:4.1.3), kmailcvt (<< 4:3.90.0), kontact (<< 4:4.1.80),
# Do not remove before 16.04
 libmessageviewer4 (<< 4:4.13.90),
 libkdepim4 (<< 4:4.13.90)
Replaces: akonadi-kde (<< 4:4.1.3),
          kmailcvt (<< 4:3.90.0),
          kontact (<< 4:4.1.80),
          libmessageviewer4 (<< 4:4.13.90),
          libkdepim4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: email client for mobile environments
 This package provides an email client which has been specially designed for
 use on mobile devices. It focuses on usability with touchscreen displays and
 potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: kde-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.2)
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.2)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
